<?php namespace TestCAS\Http\Middleware;

use Cas;
use Closure;

class CasAuthenticate
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        Cas::authenticate();
        return $next($request);
    }
}
